> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexprice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tax Association

> Use when you need to load a single tax association (e.g. for display or editing).



## OpenAPI

````yaml /api-reference/openapi.json get /taxes/associations/{id}
openapi: 3.0.1
info:
  title: Flexprice API
  description: Flexprice API Service
  contact:
    name: API Support
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1.0'
servers:
  - url: https://us.api.flexprice.io/v1
    description: US Region
  - url: https://api.cloud.flexprice.io/v1
    description: India Region
security: []
paths:
  /taxes/associations/{id}:
    get:
      tags:
        - Tax Associations
      summary: Get Tax Association
      description: >-
        Use when you need to load a single tax association (e.g. for display or
        editing).
      operationId: getTaxAssociation
      parameters:
        - name: id
          in: path
          description: Tax Config ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxAssociationResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    TaxAssociationResponse:
      type: object
      properties:
        auto_apply:
          type: boolean
          description: Whether this tax should be automatically applied
        created_at:
          type: string
          format: date-time
        created_by:
          type: string
        currency:
          type: string
          description: Currency
        entity_id:
          type: string
          description: ID of the entity this tax rate applies to
        entity_type:
          $ref: '#/components/schemas/types.TaxRateEntityType'
        environment_id:
          type: string
          description: >-
            EnvironmentID is the ID of the environment this tax rate config
            belongs to
        id:
          type: string
          description: ID of the ent.
        metadata:
          type: object
          additionalProperties:
            type: string
          description: Metadata holds the value of the "metadata" field.
        priority:
          type: integer
          description: Priority for tax resolution (lower number = higher priority)
        status:
          $ref: '#/components/schemas/types.Status'
        tax_rate:
          $ref: '#/components/schemas/TaxRateResponse'
        tax_rate_id:
          type: string
          description: Reference to the TaxRate entity
        tenant_id:
          type: string
        updated_at:
          type: string
          format: date-time
        updated_by:
          type: string
    errors.ErrorResponse:
      type: object
      properties:
        code:
          type: string
          enum:
            - not_found
            - already_exists
            - version_conflict
            - validation_error
            - invalid_operation
            - permission_denied
            - http_client_error
            - database_error
            - system_error
            - internal_error
            - service_unavailable
        details:
          type: object
          additionalProperties:
            type: object
        http_status_code:
          type: integer
        message:
          type: string
      x-speakeasy-name-override: ErrorResponse
    types.TaxRateEntityType:
      type: string
      enum:
        - customer
        - subscription
        - invoice
        - tenant
      x-enum-varnames:
        - TaxRateEntityTypeCustomer
        - TaxRateEntityTypeSubscription
        - TaxRateEntityTypeInvoice
        - TaxRateEntityTypeTenant
      x-speakeasy-name-override: TaxRateEntityType
    types.Status:
      type: string
      enum:
        - published
        - deleted
        - archived
      x-enum-varnames:
        - StatusPublished
        - StatusDeleted
        - StatusArchived
      x-speakeasy-name-override: Status
    TaxRateResponse:
      type: object
      properties:
        code:
          type: string
        created_at:
          type: string
          format: date-time
        created_by:
          type: string
        description:
          type: string
        environment_id:
          type: string
        fixed_value:
          type: string
        id:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
        name:
          type: string
        percentage_value:
          type: string
        scope:
          $ref: '#/components/schemas/types.TaxRateScope'
        status:
          $ref: '#/components/schemas/types.Status'
        tax_rate_status:
          $ref: '#/components/schemas/types.TaxRateStatus'
        tax_rate_type:
          $ref: '#/components/schemas/types.TaxRateType'
        tenant_id:
          type: string
        updated_at:
          type: string
          format: date-time
        updated_by:
          type: string
    types.TaxRateScope:
      type: string
      enum:
        - INTERNAL
        - EXTERNAL
        - ONETIME
      x-enum-varnames:
        - TaxRateScopeInternal
        - TaxRateScopeExternal
        - TaxRateScopeOneTime
      x-speakeasy-name-override: TaxRateScope
    types.TaxRateStatus:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
      x-enum-varnames:
        - TaxRateStatusActive
        - TaxRateStatusInactive
      x-speakeasy-name-override: TaxRateStatus
    types.TaxRateType:
      type: string
      enum:
        - percentage
        - fixed
      x-enum-varnames:
        - TaxRateTypePercentage
        - TaxRateTypeFixed
      x-speakeasy-name-override: TaxRateType
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Enter your API key in the format *x-api-key &lt;api-key&gt;**
      name: x-api-key
      in: header

````